---
obj: application
os: ["macos", "linux", "windows"]
repo: https://github.com/sharkdp/bat
---
# bat
bat is a cat rewrite in [Rust](../../programming/languages/Rust.md)

## Usage
Flags:
```shell
-r, --line-range <N:M>...     Only print specific lines
-A, --show-all                Show non-printable characters
-p, --plain                   Only show plain style, no decorations
-d, --diff                    Only show changed lines
```
